RE: [PHP] replying to list
| From: | Bob McConnell | Date: | Wed, 21 Apr 2010 13:15:38 +0000 |
| Subject: | RE: [PHP] replying to list | ||
| References: | 1 2 3 4 5 6 7 8 | Groups: | php.general |
| Request: | Send a blank email to php-general+get-304318@lists.php.net to get a copy of this message | ||
From: David Robley
> Ashley Sheridan wrote:
>> On Wed, 2010-04-21 at 13:00 +0200, Nick Balestra wrote:
>>
>>> Not really i think, because by replying it just direct reply to the
OP,
>>> while other systems like google groups for example by replying you
just
>>> post to the list, and actually make more sense.
>>>
>>> the easy way is to hit reply and change the "to" into
>>> php-general@lists.php.net or reply to all and replace "to" with the
"cc".
>>> I think the best practice is to take this 5 second to take care of
this
>>> in order to avoid duplicate message to others.
>>>
>>> On Apr 21, 2010, at 12:45 PM, Karl DeSaulniers wrote:
>>>
>>> > Exactly.
>>> > :)
>>> >
>>> > Karl
>>> >
>>> > On Apr 21, 2010, at 5:38 AM, David McGlone wrote:
>>> >
>>> >> Maybe it's not how the list is set up, but instead how people are
>>> >> replying to the list.
>>> >
>>
>> I'm only on one other mailing list, but it behaves exactly the same
as
>> the php-general one. It makes sense really to me, as the email is
coming
>> from the person who wrote it, and it's behaving as if we're just
bcc'd
>> in as a list. I think the fault is with the email clients that don't
>> understand mailing lists.
>>
>> Incidentally, I saw someone mention the Evolution email client in
this
>> thread. It's what I use, and it does have a reply to list option (but
I
>> tend to be a bit lazy and hit reply to all as the option is in a menu
>> and not on the toolbar :-/ )
>
> This is an oldie but I think it is still a goodie in respect of this
> discussion.
>
> http://www.unicom.com/pw/reply-to-harmful.html
>
I have a couple of problems with that article. First, he still
references RFC822 a year and a half after it was superseded by RFC2822.
So he is already out of step with reality. (RFC2822 was itself
superseded by RFC5322 on Oct 1, 2008.)
Second, I don't agree with his definition of a reasonable mailer. He
recommends several processes that do not sound at all reasonable to me.
But I have only been using email for 27 years, so what do I know.
Third, and most importantly, he obviously had never dealt with a PHB
that required him to use a specific OS, mail client and servers that by
design will never be reasonable by anybody's definition. Many of us
simply don't get a choice.
I just did a quick check of the half dozen mailing lists I subscribe to
here at work, and they are split 50/50 on whether Reply goes back to the
list or the OP. So I suspect a consensus is unlikely.
Bob McConnell